Package org.kapott.hbci.sepa.jaxb.pain_002_001_13

# Enum Class PreferredContactMethod1Code

java.lang.Object
java.lang.Enum<PreferredContactMethod1Code>
org.kapott.hbci.sepa.jaxb.pain_002_001_13.PreferredContactMethod1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<PreferredContactMethod1Code>`, `Constable`

public enum PreferredContactMethod1Code extends Enum<PreferredContactMethod1Code>

Java class for PreferredContactMethod1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="PreferredContactMethod1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="LETT"/>
         <enumeration value="MAIL"/>
         <enumeration value="PHON"/>
         <enumeration value="FAXX"/>
         <enumeration value="CELL"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CELL`
`FAXX`
`LETT`
`MAIL`
`PHON`

## Method Summary

Modifier and Type
Method
Description
`static PreferredContactMethod1Code`
`fromValue(String v)`
`String`
`value()`
`static PreferredContactMethod1Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PreferredContactMethod1Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LETT

public static final PreferredContactMethod1Code LETT

### MAIL

public static final PreferredContactMethod1Code MAIL

### PHON

public static final PreferredContactMethod1Code PHON

### FAXX

public static final PreferredContactMethod1Code FAXX

### CELL

public static final PreferredContactMethod1Code CELL

## Method Details

### values

public static PreferredContactMethod1Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PreferredContactMethod1Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static PreferredContactMethod1Code fromValue(String v)